/*
 * File         : Lookup.java
 * Author       : Saleh Elmohamed
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

// Lookup.java.
// The following example opens a database of contact information and looks
// for a person's last name as given on the command line. It selects only
// the names of people that have email addresses, then prints out all
// the ones that match the given last names.

import java.sql.*;

public class Lookup {
    public static void main(String[] args) {
	String dbUrl = "jdbc:odbc:people";
	String user = "";
	String password = "";
	try {
	    // Load the driver (registers itself)
	    // Once the connection is made with DriverManager.getConnection(),
	    // use the resulting Connectionobject to create Statement object
	    // using the createStatement() method.
	    // With the resulting Statement, you can call executeQuery(),
	    // passing in a string containing standard SQL statement.
	    //
	    Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
	    Connection c = DriverManager.getConnection(dbUrl, user, password); 
	    Statement s = c.createStatement();
	    // SQL code:
	    ResultSet r =
		s.executeQuery("SELECT FIRST, LAST, EMAIL " +
			       "FROM people.csv people " +
			       "WHERE " +
			       "(LAST='" + args[0] + "') " +
			       " AND (EMAIL Is Not Null) " +
			       "ORDER BY FIRST");
	    while(r.next()) {
		// Capitalization doesn't matter:
		System.out.println(r.getString("Last") + ", "
				   + r.getString("fIRST")
				   + ": " + r.getString("EMAIL") );
	    }
	    s.close(); // Also closes ResultSet
	} catch(Exception e) {
	    e.printStackTrace();
	}
    }
}
